多个版本JDK和多个Eclipse版本

原创
2012/07/12 12:29
阅读数 1.2K

ceylon ide要求eclipse indigo/ juno 运行在jdk7,但日常工作都是在sts/jdk6,查找路径和JAVAHOME都设置在jdk6。要尝试ceylon ide,那装上jdk7是必须的了,折腾后发现只要设置eclipse.ini中的-vm参数指定具体jvm就可以了.

-vm 
C:/jdk7/bin/javaw.exe

Eclipse的插件装的越多,冲突,慢就难免,那就让不同的Eclipse干不同的事吧,从网站http://download.eclipse.org/eclipse/downloads/ 下载 Platform Runtime Binary 而不是一些已经组合打包好的版本,解压到一个目录(比如eclipse-ceylon专门ceylon,eclipse-py专门py等等),针对功能,装必要的插件,再指定一个单独的工作区目录。

这样既可以高度定制,程序执行也快,缺点就是有好几个eclipse占着硬盘,不过这年头硬盘容量不是问题,内存,cpu还是问题.

展开阅读全文
打赏
0
1 收藏
分享
加载中
更多评论
打赏
0 评论
1 收藏
0
分享
返回顶部
顶部